# Cakewalk

Cakewalk is a tool designed for rapid frontend web prototyping.

Cakewalk walks a given directory looking for [CoffeeScript](http://coffeescript.org/), [Stylus](http://learnboost.github.com/stylus/), [LESS](http://lesscss.org/), and [Jade](http://jade-lang.com/) files, watching them for changes and compiling them when they do.

Note that files prefixed with an underscore (i.e. `_mixins.styl`) will neither
be watched nor built. Those files are expected to serve as includes and thus
they need not be built individually.

## Install
    npm install -g cakewalk

## Usage
    cakewalk [/path/to/watch]

## For more information
    cakewalk -h
