var colors = require('colors');


function BuildError() {}

BuildError.prototype = {
    printError: function() {
        var leadin = this.type + ' error in ' + this.sourceFile + ': ';
        console.log(leadin.red + '\n', this.message);
    }
}


exports.CoffeeScriptError = function(message, sourceFile) {
    this.message = message;
    this.type = 'CoffeeScript';
    this.sourceFile = sourceFile;
}

exports.CoffeeScriptError.prototype = new BuildError();


exports.StylusError = function(message, sourceFile) {
    this.message = message;
    this.type = 'Stylus';
    this.sourceFile = sourceFile;
}

exports.StylusError.prototype = new BuildError();


exports.LessError = function(message, sourceFile) {
    this.message = message;
    this.type = 'Less';
    this.sourceFile = sourceFile;
}

exports.LessError.prototype = new BuildError();


exports.JadeError = function(message, sourceFile) {
    this.message = message;
    this.type = 'Jade';
    this.sourceFile = sourceFile;
}

exports.JadeError.prototype = new BuildError();
